Bug 1243274 - Doing overcloud deploy with ceph scale > 0 and --use-tripleo-heat-templates (or --templates) does not use ceph
Summary: Doing overcloud deploy with ceph scale > 0 and --use-tripleo-heat-templates (...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Brad P. Crochet
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks: 1244810
TreeView+ depends on / blocked
 
Reported: 2015-07-15 06:49 UTC by Graeme Gillies
Modified: 2015-08-05 13:59 UTC (History)
5 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-42.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:59:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 239994 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Graeme Gillies 2015-07-15 06:49:51 UTC
Hi,

When doing an overcloud deployment using tripleo heat templates (not tuskar), even if you specify a number of ceph nodes, neither cinder or glance is configured to use ceph by default.

In other words, you provision your ceph nodes, but they aren't actually used.

This seems a bit counter intuitive. It's easy enough to create a new environment file with

parameters:
  CinderEnableRbdBackend: true
  GlanceBackend: rbd
  CinderEnableIscsiBackend: false
  CephClusterFSID: '4b5c8c0a-ff60-454b-a1b4-9747aa737d19'
  CephMonKey: 'AQC+Ox1VmEr3BxAALZejqeHj50Nj6wJDvs96OQ=='
  CephAdminKey: 'AQDLOh1VgEp6FRAAFzT7Zw+Y9V6JJExQAsRnRQ=='



To enable it, but this should be changed so the templates detect that ceph nodes are created and automatically utilise them, or we need documentation to be updated to explicitly show this needs to be done

Regards,

Graeme

Comment 4 Brad P. Crochet 2015-07-15 19:48:33 UTC
Review available: https://review.gerrithub.io/239994

Comment 5 Mike Burns 2015-07-20 19:26:16 UTC
moving to blocker because this fix is required for bug 1244810

Comment 8 errata-xmlrpc 2015-08-05 13:59:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.